<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : trace.xsl.xsl
    Created on : 28. února 2022, 18:08
    Author     : bar
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>

    <!-- TODO customize transformation rules 
         syntax recommendation http://www.w3.org/TR/xslt 
    -->
    <xsl:template match="/">
        <html>
            <head>
                <title>Spoty</title>
            </head>
            <body>
                <div id="navbar">
                    <xsl:apply-templates mode="nav"/>
                </div>
                <div id="content">
                    <xsl:apply-templates mode="content"/>
                </div>
                <div id="media">
                    <xsl:apply-templates select=".//disk" mode="disks"/>
                </div>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="playlists" mode="nav">
        <ul>
            <xsl:apply-templates mode="nav"/>
        </ul>
    </xsl:template>
    
    <xsl:template match="playlist" mode="nav">
        <li>
            <a href="#{./@name}"><xsl:value-of select="./title"/></a>
        </li>
    </xsl:template>
    
    <xsl:template match="playlist" mode="content">
        <a name="{./@name}"/>
        <div class="playlist">
            <xsl:apply-templates mode="content"/>
        </div>
    </xsl:template>
     
    <xsl:template match="title" mode="content">
        <h4>
            <xsl:value-of select="."/>
        </h4>
    </xsl:template>
    
    <xsl:template match="track" mode="content">
        <div class="playlist-item">
            <xsl:variable name="searchId" select="./@id"/>
        <xsl:value-of select="//track[./@id=$searchId]/interpret"/> - <xsl:value-of select="//track[$searchId=./@id]/title"/>
        </div>
    </xsl:template>
    
    <xsl:template match="disk" mode="nav"/>
    <xsl:template match="tracks" mode="nav"/>
    
    <xsl:template match="tracks">
        <div class="playlist-tracks">
            <h3>Seznam stop</h3>
            <xsl:apply-templates/>
        </div>
    </xsl:template>
    
    <xsl:template match="disk" mode="disks">
        <section id="disks">
            <div class="disk">
                <xsl:apply-templates mode="disks"/>
            </div>
        </section>
    </xsl:template>
    <xsl:template match="title" mode="disks">
       <div class="title">
        <h4>
            <xsl:value-of select="."/>
        </h4>
       </div>
    </xsl:template>
    
    <xsl:template match="tracks" mode="disks">
        <div class="tracks">
            <xsl:apply-templates mode="disks"/>
        </div>
    </xsl:template>
    
    <xsl:template match="track" mode="disks">
        <div class="track">
            <span class="interpret">
                <xsl:value-of select="./interpret"/>
            </span>
            -
            <span class="song">
                <xsl:value-of select="./title"/>
            </span>
        </div>
    </xsl:template>
    
    
</xsl:stylesheet>
